/*
 * Copyright 
 *   2007 axYus - www.axyus.com
 *   2007 C.Marchand - christophe.marchand@axyus.com
 * 
 * This file is part of XEMELIOS.
 * 
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fr.gouv.finances.cp.utils.ui;

import javax.swing.SwingUtilities;

public class UiUtils {

	public static void invokeInEDT(final Thread runner, final boolean waitForComplete) {
		if(SwingUtilities.isEventDispatchThread()) {
			runner.run();
			if(waitForComplete) {
				try {
					runner.join();
				} catch(Throwable t) {}
			}
		}
		else {
			if(waitForComplete) {
				try {
					SwingUtilities.invokeAndWait(runner);
				} catch(Throwable t) {}
			} else {
				SwingUtilities.invokeLater(runner);
			}
		}
	}
}
